Bug 29244 - alert/error and message dialogues should have the same width
Summary: alert/error and message dialogues should have the same width
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-14 11:33 UTC by Martin Renvoize
Modified: 2021-10-26 01:09 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Display issue (24.87 KB, image/png)
2021-10-14 11:33 UTC, Martin Renvoize
Details
Bug 29244: Move message inside dialog and remove width (1.90 KB, patch)
2021-10-14 11:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29244: Add dialog class where missing in print-notices.tt (1.07 KB, patch)
2021-10-14 11:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29244: Move message inside dialog and remove width (1.95 KB, patch)
2021-10-14 14:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29244: Add dialog class where missing in print-notices.tt (1.12 KB, patch)
2021-10-14 14:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29244: Move message inside dialog and remove width (2.02 KB, patch)
2021-10-20 21:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29244: Add dialog class where missing in print-notices.tt (1.17 KB, patch)
2021-10-20 21:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-10-14 11:33:02 UTC
Created attachment 126270 [details]
Display issue

Any .message div has it's width overridden down to 55% compared to .dialog divs that have 65% width.

This leads to disparity in display.
Comment 1 Martin Renvoize 2021-10-14 11:46:20 UTC
Created attachment 126272 [details] [review]
Bug 29244: Move message inside dialog and remove width

This patch moves the message css rules inside the dialog ruleset to
clarify their intention and removes the width so it inherits from the
dialog class.
Comment 2 Martin Renvoize 2021-10-14 11:46:23 UTC
Created attachment 126273 [details] [review]
Bug 29244: Add dialog class where missing in print-notices.tt

The print notices template had it's own implimentation of a message
dialog. To make it consistent with other area's, we should add the
dialog class.
Comment 3 Owen Leonard 2021-10-14 14:20:01 UTC
Created attachment 126291 [details] [review]
Bug 29244: Move message inside dialog and remove width

This patch moves the message css rules inside the dialog ruleset to
clarify their intention and removes the width so it inherits from the
dialog class.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Owen Leonard 2021-10-14 14:20:05 UTC
Created attachment 126292 [details] [review]
Bug 29244: Add dialog class where missing in print-notices.tt

The print notices template had it's own implimentation of a message
dialog. To make it consistent with other area's, we should add the
dialog class.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2021-10-20 21:19:12 UTC
Created attachment 126619 [details] [review]
Bug 29244: Move message inside dialog and remove width

This patch moves the message css rules inside the dialog ruleset to
clarify their intention and removes the width so it inherits from the
dialog class.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-10-20 21:19:16 UTC
Created attachment 126620 [details] [review]
Bug 29244: Add dialog class where missing in print-notices.tt

The print notices template had it's own implimentation of a message
dialog. To make it consistent with other area's, we should add the
dialog class.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2021-10-21 10:25:15 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 8 Kyle M Hall 2021-10-22 15:42:59 UTC
Pushed to 21.05.x for 21.05.05
Comment 9 Fridolin Somers 2021-10-23 02:23:13 UTC
Pushed to 20.11.x for 20.11.11
Comment 10 Victor Grousset/tuxayo 2021-10-26 01:09:07 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.